/// <reference types="codemirror/addon/hint/show-hint" />
import type { Editor } from "codemirror";
import type { CompletionItem, CompletionList, CancellationToken } from "vscode-languageserver-protocol";
/**
 * Show completion popup.
 * @param opts
 */
export declare const showCompletion: (opts: CompletionContextOptions) => void;
/**
 * Hide completion popup.
 * @param editor
 */
export declare const hideCompletion: (editor: Editor) => void;
/**
 * True if completion is active.
 * @param editor
 */
export declare const completionIsActive: (editor: Editor) => boolean;
/**
 * True if completion is active, and the completion list is complete.
 * There's no need to make new requests.
 * @param editor
 */
export declare const completionIsComplete: (editor: Editor) => boolean;
export declare type CompletionContextOptions = {
    editor: Editor;
    list: CompletionList;
    invoked: boolean;
    renderMarkdown: (x: string) => string;
    getDetails: (item: CompletionItem, token?: CancellationToken) => Promise<CompletionItem>;
};
